#include <iostream>
#include <algorithm>
using namespace std;

int main()
{
    long long n, x;
    cin >> n >> x;
    long long minm=x, maxm=x, p;
    for(int i=0;i<n;i++){
        cin >> p;
        if(p>maxm){
            maxm=p;
        }
        if(p<minm){
            minm=p;
        }
    }
    maxm=abs(maxm-x);
    minm=abs(minm-x);
    long long res = 2*min(minm,maxm)+max(minm, maxm);
    cout << res << endl;
    return 0;
}